## indi-pentax 1.0

=== debian/changelog ===
indi-pentax (1.0-2) unstable; urgency=medium

  * debian/control: move to debian-astro team
  * debian/control: bump standard to 4.6.1 (no changes)
  * debian/control: restrict to architectures amd64 and armhf
                    these are the architectures where libricohcamerasdk
                    is available

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 May 2022 10:04:35 +0200

indi-pentax (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Dec 2021 10:04:35 +0000

## indi-pentax 1.0%2B20221221102411

=== debian/changelog ===
indi-pentax (1.0+20221221102411-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:07:39 +1100

indi-pentax (1.0+20221221102411-1build2) noble; urgency=medium

  * No-change rebuild against libraw23t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 02:20:41 +0000

indi-pentax (1.0+20221221102411-1build1) mantic; urgency=medium

  * Rebuild against new libraw23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2023 10:02:38 +0200

indi-pentax (1.0+20221221102411-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 10:24:22 +0000

## indi-pentax 1.0+20221221102411

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_pentax CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

include(GNUInstallDirs)

set (INDI_PENTAX_VERSION_MAJOR 1)
set (INDI_PENTAX_VERSION_MINOR 1)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(LibRaw REQUIRED)
find_package(JPEG REQUIRED)
find_package(PENTAX REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_pentax.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_pentax.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${LibRaw_INCLUDE_DIR})
include_directories( ${PENTAX_INCLUDE_DIR})
include_directories( ${PKTRIGGERCORD_INCLUDE_DIR})

include(CMakeCommon)
############# PENTAX CCD ###############
set(indibase_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/indi_pentax.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pktriggercord_ccd.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/gphoto_readimage.cpp
)
set(indiricoh_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/pentax_ccd.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pentax_event_handler.cpp
)
#ricoh sdk does not have armv8 binary, so don't include it for aarch64 platforms
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch64")
    set(indipentax_SRCS ${indibase_SRCS})
else()
    set(indipentax_SRCS ${indibase_SRCS} ${indiricoh_SRCS})
endif()

add_executable(indi_pentax ${indipentax_SRCS})

target_link_libraries(indi_pentax pthread ${PENTAX_LIBRARIES} ${INDI_LIBRARIES} ${JPEG_LIBRARIES} ${LibRaw_LIBRARIES} ${CFITSIO_LIBRARIES} ${ZLIB_LIBRARY})

install(TARGETS indi_pentax RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_pentax.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-pentax (1.0+20221221102411-3) unstable; urgency=medium

  * add gcc15.patch (Closes: #1114151)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 25 Sep 2025 09:24:22 +0200

indi-pentax (1.0+20221221102411-2) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Sep 2024 19:24:22 +0200

=== debian/control ===
Source: indi-pentax
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libjpeg-dev
	, libcfitsio-dev
	, libraw-dev
	, libpktriggercord0
	, libricohcamerasdk-dev
Standards-Version: 4.6.1
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-pentax
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-pentax.git


Package: indi-pentax
Architecture: amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libpktriggercord0, libricohcamerasdk
Description: INDI driver for Pentax cameras
 This package contains an INDI driver for Pentax cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
